uk.gov.hmrc.play.bootstrap.filters.frontend

# CSRFExceptionsFilter

###
Related Doc: package frontend

#### class CSRFExceptionsFilter extends Filter

Annotations
  @deprecated
Deprecated

  (Since version -) this should be removed from this library as it's only used by a handful of auth services

Linear Supertypes
Filter, EssentialFilter, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CSRFExceptionsFilter
2. Filter
3. EssentialFilter
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new CSRFExceptionsFilter(configuration: Configuration, mat: Materializer)

   Annotations
     @Inject()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(f: (RequestHeader) ⇒ Future[Result])(rh: RequestHeader): Future[Result]

   Definition Classes
     CSRFExceptionsFilter → Filter

5. #### def apply(next: EssentialAction): EssentialAction

   Definition Classes
     Filter → EssentialFilter

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def asJava: EssentialFilter

   Definition Classes
     EssentialFilter

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### val mat: Materializer

    Definition Classes
      CSRFExceptionsFilter → Filter

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

20. #### def toString(): String

    Definition Classes
      AnyRef → Any

21. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

22. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### lazy val whitelist: Set[String]

### Inherited from Filter

### Inherited from EssentialFilter

### Inherited from AnyRef

### Inherited from Any

### Ungrouped